Bug 992728 - Zanata client fail to build in fedora rawhide
Zanata client fail to build in fedora rawhide
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-zanata-client (Show other bugs)
2.2
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Sean Flanigan
Patrick Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 02:13 EDT by Patrick Huang
Modified: 2013-08-29 00:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 00:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2013-08-05 02:13:10 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.1410.63 Safari/537.31
Build Identifier: 

In Fedora 20 args4j is at version 2.0.23. This causes test failure with our current args4j version (2.0.13)

Reproducible: Always

Steps to Reproduce:
1. upgrade args4j version to 2.0.23
2. run ZanataClientTest
Actual Results:  
test failure

Expected Results:  
test pass
Comment 2 Sean Flanigan 2013-08-21 20:05:27 EDT
Fix is in https://github.com/zanata/zanata-client/commit/5a7c79e2fa4cf65891d3bdca59c083a623498954

After this passes QA, we can release a new version of the client and it will be available to build for Fedora.
Comment 3 Patrick Huang 2013-08-21 20:12:35 EDT
I will QA this one
Comment 4 Patrick Huang 2013-08-27 01:03:33 EDT
verified in rawhide

Note You need to log in before you can comment on or make changes to this bug.